# Form implementation generated from reading ui file 'src/eric7/WebBrowser/Feeds/FeedsManager.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_FeedsManager(object):
    def setupUi(self, FeedsManager):
        FeedsManager.setObjectName("FeedsManager")
        FeedsManager.resize(750, 500)
        FeedsManager.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(FeedsManager)
        self.verticalLayout.setObjectName("verticalLayout")
        self.feedsTree = QtWidgets.QTreeWidget(parent=FeedsManager)
        self.feedsTree.setAlternatingRowColors(True)
        self.feedsTree.setAllColumnsShowFocus(True)
        self.feedsTree.setWordWrap(True)
        self.feedsTree.setObjectName("feedsTree")
        self.feedsTree.header().setVisible(False)
        self.verticalLayout.addWidget(self.feedsTree)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.reloadAllButton = QtWidgets.QPushButton(parent=FeedsManager)
        self.reloadAllButton.setAutoDefault(False)
        self.reloadAllButton.setObjectName("reloadAllButton")
        self.horizontalLayout.addWidget(self.reloadAllButton)
        self.reloadButton = QtWidgets.QPushButton(parent=FeedsManager)
        self.reloadButton.setAutoDefault(False)
        self.reloadButton.setObjectName("reloadButton")
        self.horizontalLayout.addWidget(self.reloadButton)
        self.editButton = QtWidgets.QPushButton(parent=FeedsManager)
        self.editButton.setAutoDefault(False)
        self.editButton.setObjectName("editButton")
        self.horizontalLayout.addWidget(self.editButton)
        self.deleteButton = QtWidgets.QPushButton(parent=FeedsManager)
        self.deleteButton.setAutoDefault(False)
        self.deleteButton.setObjectName("deleteButton")
        self.horizontalLayout.addWidget(self.deleteButton)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=FeedsManager)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(FeedsManager)
        self.buttonBox.accepted.connect(FeedsManager.accept) # type: ignore
        self.buttonBox.rejected.connect(FeedsManager.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(FeedsManager)
        FeedsManager.setTabOrder(self.feedsTree, self.reloadAllButton)
        FeedsManager.setTabOrder(self.reloadAllButton, self.reloadButton)
        FeedsManager.setTabOrder(self.reloadButton, self.editButton)
        FeedsManager.setTabOrder(self.editButton, self.deleteButton)
        FeedsManager.setTabOrder(self.deleteButton, self.buttonBox)

    def retranslateUi(self, FeedsManager):
        _translate = QtCore.QCoreApplication.translate
        FeedsManager.setWindowTitle(_translate("FeedsManager", "Feeds Manager"))
        self.feedsTree.headerItem().setText(0, _translate("FeedsManager", "News"))
        self.reloadAllButton.setToolTip(_translate("FeedsManager", "Press to reload all feeds"))
        self.reloadAllButton.setText(_translate("FeedsManager", "Reload &All"))
        self.reloadButton.setToolTip(_translate("FeedsManager", "Press to reload the selected feed"))
        self.reloadButton.setText(_translate("FeedsManager", "&Reload"))
        self.editButton.setToolTip(_translate("FeedsManager", "Press to edit the selected feed"))
        self.editButton.setText(_translate("FeedsManager", "&Edit Feed"))
        self.deleteButton.setToolTip(_translate("FeedsManager", "Press to delete the selected feed"))
        self.deleteButton.setText(_translate("FeedsManager", "&Delete Feed"))
